Subject: Re: bug#34949: 27.0.50; Docstring of `vc-deduce-fileset' incomplete

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Feb 2020 01:25:59 +0200

>> Do you propose 'C-x v v' when typed in Dired to open VC-Dir and mark
>> files marked in Dired, i.e. to sync marks between Dired and VC-Dir?
>> And a new keybinding 'C-x v V' (vc-next-action-on-root) typed
>> in any file/dired should open VC-Dir and mark all edited files?
>
> Um, not really. Just only adding the 'V' binding to VC-Dir buffers, where
> it would use the existing known fileset. But no 'C-x v V' binding.

Should then 'V' typed in VC-Dir operate on edited files only,
or try to use all files including unregistered?

> If that would both satisfy you and simplify the implementation, of course.

What about invoking state-changing VC-operations from Dired?
Should typing 'v' in Dired open the VC-Dir buffer?  Wouldn't this be
the same as just typing 'C-x v d RET'?

BTW, why 'C-x v d RET' requires a confirmation?
This additional 'RET' is too annoying.

Maybe like a proposal in bug#39704 to use a prefix arg for
'C-u M-x vc-print-branch-log' to ask for a directory, then
'C-u C-x v d' could do the same and ask for a root directory,
otherwise without prefix arg 'C-x v d' could use the default root
without using a prompt.